## pygtkmvc 1.99.0

=== docs/Makefile ===

DESTDIR = build

PDF_SRC = user-man/gtkmvc-userman.pdf \
          tutorial/tex/gtkmvc-tutorial.pdf \
          quickstart/build/latex/gtkmvc-quickstart.pdf
# ----------------------------------------------------------------------

HTML_DESTDIR = ${DESTDIR}/html
PDF_DESTDIR = ${DESTDIR}/pdf
PDF_DESTS = $(addprefix ${PDF_DESTDIR}/, $(notdir ${PDF_SRC}))

all: pdf html

pdf: ${PDF_DESTS}

html: htmldest

clean: 
	cd user-man && ${MAKE} clean
	cd tutorial/tex && ${MAKE} clean
	cd quickstart && ${MAKE} clean 

distclean: 
	rm -rf ${DESTDIR}
	cd user-man && ${MAKE} distclean
	cd tutorial/tex && ${MAKE} distclean
	cd quickstart && ${MAKE} clean

# --------------------------------------------------------------------
${PDF_SRC} : pdfbuild

pdfbuild:
	cd user-man && ${MAKE} pdf
	cd tutorial/tex && ${MAKE} pdf
	cd quickstart && ${MAKE} latex && cd build/latex && \
	   ${MAKE} all-pdf && mv quickstart.pdf gtkmvc-quickstart.pdf

${PDF_DESTS} : ${PDF_SRC} ${PDF_DESTDIR}
	cp ${PDF_SRC} ${PDF_DESTDIR}/



${PDF_DESTDIR}:
	mkdir -p ${PDF_DESTDIR}

${HTML_DESTDIR}:
	mkdir -p ${HTML_DESTDIR}


htmlbuild: 
	cd user-man && ${MAKE} html
	cd tutorial/tex && ${MAKE} html
	cd quickstart && ${MAKE} html

htmldest: htmlbuild ${HTML_DESTDIR}
	rm -rf ${HTML_DESTDIR}/userman
	cp -r user-man/html ${HTML_DESTDIR}/userman
	rm -rf ${HTML_DESTDIR}/tutorial
	cp -r tutorial/tex/html ${HTML_DESTDIR}/tutorial
	rm -rf ${HTML_DESTDIR}/quickstart
	cp -r quickstart/build/html ${HTML_DESTDIR}/quickstart

=== docs/user-man/Makefile ===
# ---------------------------------------------------------
PDF_DEST = gtkmvc-userman.pdf
MAIN = pygtkmvc
TOPDIR = ../..
# ---------------------------------------------------------

pdf: ${PDF_DEST}

html: html_build

clean:
	rm -f ${BUILT} *~ 

distclean: clean
	rm -f ${TOP_TEX} ${PDF_DEST}
	rm -rf html


# ---------------------------------------------------------
SED = sed
LATEX = pdflatex
VERSION = $(shell python ${TOPDIR}/setup.py --version)
BUILT = $(addprefix ${MAIN}, .log .toc .aux .ind .ilg)
META_TOP_TEX = ${MAIN}.tex.in
TOP_TEX = $(basename ${META_TOP_TEX})
TEX = $(wildcard *.tex)
TEX += ${TOP_TEX}

${PDF_DEST} : ${MAIN}.pdf
	mv $< $@

${MAIN}.pdf : ${TOP_TEX} ${TEX}
	${LATEX} $<
	makeindex $<
	${LATEX} $<	
	${LATEX} $<	



${TOP_TEX}: ${META_TOP_TEX}
	${SED} 's/$$version/${VERSION}/g' $< > $@ 


html_struct: ${TOP_TEX} 
	mkdir -p ./html
	mkdir -p ./html/figs/png
	cp ${TEX} ./html/
	cp figs/png/*.png ./html/figs/png/
	cp ${MAIN}.cfg ./html/

html_build: html_struct
	cd html && htlatex ${MAIN} "${MAIN}"

=== docs/tutorial/tex/Makefile ===
# ---------------------------------------------------------
PDF_DEST = gtkmvc-tutorial.pdf
MAIN = tutorial
TOPDIR = ../../..
# ---------------------------------------------------------

pdf: ${PDF_DEST}

html: html_build

clean:
	rm -f ${BUILT} *~ 

distclean: clean
	rm -f ${TOP_TEX} ${PDF_DEST}
	rm -rf html

# ---------------------------------------------------------
SED = sed
LATEX = pdflatex
VERSION = $(shell python ${TOPDIR}/setup.py --version)
BUILT = $(addprefix ${MAIN}, .log .toc .aux .ind .ilg)
META_TOP_TEX = ${MAIN}.tex.in
TOP_TEX = $(basename ${META_TOP_TEX})
TEX = $(wildcard *.tex)
TEX += ${TOP_TEX}

${PDF_DEST} : ${MAIN}.pdf
	mv $< $@

${MAIN}.pdf : ${TOP_TEX} ${TEX}
	${LATEX} $<
	makeindex $<
	${LATEX} $<	
	${LATEX} $<	

${TOP_TEX}: ${META_TOP_TEX}
	${SED} 's/$$version/${VERSION}/g' $< > $@ 

html_struct: ${TOP_TEX} 
	mkdir -p ./html
	mkdir -p ./html/png
	cp ${TEX} ./html/
	cp png/*.png ./html/png/
	cp ${MAIN}.cfg ./html/

html_build: html_struct
	cd html && htlatex ${MAIN} "${MAIN}"

=== debian/changelog ===
pygtkmvc (1.99.0-2) unstable; urgency=low

  * debian/control:
    + Updated to Standards-Version 3.8.4 (no changes needed)
    + Added VCS-* fields
  * debian/copyright:
    + Updated as per DEP-5 specification

 -- Kartik Mistry <kartik@debian.org>  Mon, 31 May 2010 12:04:47 +0530

pygtkmvc (1.99.0-1) unstable; urgency=low

  * New upstream release
  * debian/patches/01_setup.py_fix:
    + Added patch to fix setup.py not call gtkmvc module to get version of
    package, thus fix the build of package
  * Converted package to 3.0 (quilt) source format
  * debian/control:
    + Updated to Standards-Version 3.8.3 (no changes needed)
    + Added missing ${misc:Depends} in binary packages Depends fields
    + Wrapped up Build-Depends
    + Don't depends on python-all-dev, used python-all instead
  * debian/rules:
    + Cleaned up to build properly with new setup.py from upstream
  * debian/copyright:
    + Don't point to versionless symlinks of license texts
    + Updated copyright year of Debian package

 -- Kartik Mistry <kartik@debian.org>  Sat, 30 Jan 2010 09:59:37 +0530

pygtkmvc (1.2.2-2) unstable; urgency=low

  * debian/control:
    + [Lintian] Updated debhelper dependency to 7.2.3 to remove
      unneccesary call of install-docs in postinst
    + Updated to Standards-Version 3.8.2
    + Updated Homepage entry
  * debian/copyright:
    + Updated Debian package copyright year
  * debian/rules:
    + Used dh_prep instead of dh_clean -k

 -- Kartik Mistry <kartik@debian.org>  Thu, 25 Jun 2009 14:38:28 +0530

pygtkmvc (1.2.2-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Updated to Standards-Version 3.8.0
    + Updated my maintainer email address
  * debian/copyright:
    + Added Python license for gtkmvc/support/noconflict.py file
    + Updated my email address

 -- Kartik Mistry <kartik@debian.org>  Fri, 05 Sep 2008 14:40:15 +0530

pygtkmvc (1.2.1-3) unstable; urgency=low

  * Provided tutorial and user-man as PDF in python-pygtkmvc-doc
    package instead of row tex and src files
  * debian/python-gtkmvc-doc.doc-base:
    + Provided doc-base registration file (Closes: #451671)
  * debian/control:
    + Added build-dependency on texlive and texinfo
    + Added dependency on doc-base for python-gtkmvc-doc

 -- Kartik Mistry <kartik.mistry@gmail.com>  Wed, 02 Apr 2008 10:17:17 +0530

pygtkmvc (1.2.1-2) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 3.7.3
    + Updated Homepage entry
    + Moved python-all-dev to Build-Depends as it is required
      to run clean target (Policy 7.6)
  * debian/copyright:
    + Updated package copyright and year

 -- Kartik Mistry <kartik.mistry@gmail.com>  Tue, 01 Jan 2008 14:22:34 +0530

pygtkmvc (1.2.1-1) unstable; urgency=low

  * New upstream release
  * Added debian/watch file
  * debian/copyright: updated author email

 -- Kartik Mistry <kartik.mistry@gmail.com>  Wed, 24 Oct 2007 13:40:57 +0530

pygtkmvc (1.0.1-4) unstable; urgency=low

  * Package is splitted in two binaries python-gtkmvc and python-gtkmvc-doc as
    most of its parts are documentation and examples (Closes: #428664)
  * debian/copyright: added copyright owner of examples/mini-yoman
  * debian/rules: added upstream changelog now

 -- Kartik Mistry <kartik.mistry@gmail.com>  Fri, 17 Aug 2007 17:56:54 +0530

pygtkmvc (1.0.1-3) unstable; urgency=low

  * debian/rules: added fix for uncompressed .glade files in examples/*
    (Closes: #372121)

 -- Kartik Mistry <kartik.mistry@gmail.com>  Sat, 09 Jun 2007 10:37:55 +0530

pygtkmvc (1.0.1-2) unstable; urgency=low

  * debian/rules: removed duplicate LICENCE file from examples/mini-yoman/

 -- Kartik Mistry <kartik.mistry@gmail.com>  Tue, 29 May 2007 14:39:18 +0530

pygtkmvc (1.0.1-1) unstable; urgency=low

  * New upstream release
  * Fixed build-dependency by moving python-all to build-depends-indep as
    package is arch: all

 -- Kartik Mistry <kartik.mistry@gmail.com>  Wed, 23 May 2007 09:13:33 +0530

pygtkmvc (1.0.0-2) unstable; urgency=low

  * debian/copyright: minor cleanups
  * debian/README.Debian: corrected format
  * debian/rules: minor cleanups
  * Removed useless debian/dirs file

 -- Kartik Mistry <kartik.mistry@gmail.com>  Tue, 17 Apr 2007 11:24:11 +0530

pygtkmvc (1.0.0-1) unstable; urgency=low

  * New maintainer (Closes: #413874)
  * New upstream release (Closes: #392068)
  * Examples are now works (Closes: #372121)
  * Updated debhelper compability to 5
  * debian/control: cleanup, updated to latest python-policy
  * debian/rules: minor cleanups, removed duplicate license from examples
  * debian/copyright: Added GPL license of examples/mini-yoman
  * debian/README.Debian: formatted according to standards

 -- Kartik Mistry <kartik.mistry@gmail.com>  Mon, 12 Mar 2007 10:52:35 +0530

pygtkmvc (0.9.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update package to the last python policy (Closes: #373496).

 -- Pierre Habouzit <madcoder@debian.org>  Sat, 12 Aug 2006 13:31:37 +0200

pygtkmvc (0.9.2-1) unstable; urgency=low

  * New upstream release
  * Fixed URL in package description (closes: #290514)

 -- Johannes Jordens <j.jordens@ucl.ac.uk>  Mon,  17 Jan 2005 21:03:34 +0100

pygtkmvc (0.9.1-1) unstable; urgency=low

  * Initial Release (closes: #278288)

 -- Johannes Jordens <j.jordens@ucl.ac.uk>  Sat,  25 Oct 2004 22:56:59 +0100

=== debian/control ===
Source: pygtkmvc
Section: python
Priority: extra
Maintainer: Kartik Mistry <kartik@debian.org>
Build-Depends: debhelper (>= 7.2.3)
Build-Depends-Indep: python-all (>= 2.4),
                     python-support (>= 0.5.3),
                     texlive,
                     texinfo
Standards-Version: 3.8.4
XS-Python-Version: >= 2.5
Homepage: http://sourceforge.net/projects/pygtkmvc/
Vcs-Git: git://git.debian.org/git/collab-maint/pygtkmvc.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/pygtkmvc.git

Package: python-gtkmvc
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-gtk2 (>= 2.4.0-1),
         python-glade2 (>= 2.4.0-1)
Provides: ${python:Provides}
Conflicts: python-gtkmvc (<< 1.0.1-4)
Description: model-view-controller (MVC) implementation for pygtk
 This MVC for pygtk2 helps with writing well structured code by splitting the
 program's code into three distinctive sections. A program written using this
 MVC pattern usually contains four parts: The view (providing access to the
 Glade widget tree), the controller (providing glue functions), the model
 (providing the abstract logic) and the main program (simply connecting the
 three parts mentioned before).

Package: python-gtkmvc-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         doc-base (>= 0.8.4)
Recommends: python-gtkmvc
Description: pygtkmvc documentation, tutorial and examples
 This MVC for pygtk2 helps with writing well structured code by splitting the
 program's code into three distinctive sections. A program written using this
 MVC pattern usually contains four parts: The view (providing access to the
 Glade widget tree), the controller (providing glue functions), the model
 (providing the abstract logic) and the main program (simply connecting the
 three parts mentioned before).
 .
 This package provides documentation, tutorial and examples.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	python setup.py build
	cd docs/user-man; make
	cd docs/tutorial/tex; make
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -rf build-stamp build
	dh_clean examples/mini-yoman/LICENSE \
		 *.log *.aux *.pyc gtkmvc/*.pyc \
		 gtkmvc/adapters/*.pyc gtkmvc/support/*.pyc
	cd docs/user-man; make distclean
	cd docs/tutorial/tex; make distclean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	python setup.py install --prefix $(CURDIR)/debian/tmp/usr

binary-arch: build install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs -k NEWS
	dh_install --sourcedir=debian/tmp
	dh_installexamples -p python-gtkmvc-doc examples/*
	dh_pysupport
	dh_link
	dh_compress --exclude=examples
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep
.PHONY: build clean binary-indep binary-arch binary install

## pygtkmvc 1.99.1

=== docs/Makefile ===
# Makefile for building all docs

DESTDIR = _build

PDF_SRC = manual/_build/latex/gtkmvc-userman.pdf \
          tutorial/_build/latex//gtkmvc-tutorial.pdf \
          quickstart/_build/latex/gtkmvc-quickstart.pdf \
          api/_build/latex/gtkmvc-reference.pdf
# ----------------------------------------------------------------------

HTML_DESTDIR = ${DESTDIR}/html
PDF_DESTDIR = ${DESTDIR}/pdf
PDF_DESTS = $(addprefix ${PDF_DESTDIR}/, $(notdir ${PDF_SRC}))

all: pdf html

pdf: ${PDF_DESTS}

html: htmldest

clean: 
	cd manual && ${MAKE} clean
	cd tutorial && ${MAKE} clean
	cd quickstart && ${MAKE} clean 
	cd api && ${MAKE} clean

distclean: clean
	rm -rf ${DESTDIR}

# --------------------------------------------------------------------
${PDF_SRC} : pdfbuild

pdfbuild:
	cd manual && ${MAKE} latex && cd _build/latex && ${MAKE} all-pdf
	cd tutorial && ${MAKE} latex && cd _build/latex && ${MAKE} all-pdf
	cd quickstart && ${MAKE} latex && cd _build/latex && ${MAKE} all-pdf
	cd api && ${MAKE} latex && cd _build/latex && ${MAKE} all-pdf

${PDF_DESTS} : ${PDF_SRC} ${PDF_DESTDIR}
	cp ${PDF_SRC} ${PDF_DESTDIR}/



${PDF_DESTDIR}:
	mkdir -p ${PDF_DESTDIR}

${HTML_DESTDIR}:
	mkdir -p ${HTML_DESTDIR}


htmlbuild: 
	cd manual && ${MAKE} html
	cd tutorial && ${MAKE} html
	cd quickstart && ${MAKE} html
	cd api && ${MAKE} html

htmldest: htmlbuild ${HTML_DESTDIR}
	rm -rf ${HTML_DESTDIR}/userman
	cp -r manual/_build/html ${HTML_DESTDIR}/userman
	rm -rf ${HTML_DESTDIR}/tutorial
	cp -r tutorial/_build/html ${HTML_DESTDIR}/tutorial
	rm -rf ${HTML_DESTDIR}/quickstart
	cp -r quickstart/_build/html ${HTML_DESTDIR}/quickstart
	rm -rf ${HTML_DESTDIR}/reference
	cp -r api/_build/html ${HTML_DESTDIR}/reference

=== docs/api/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/GTKMVC.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/GTKMVC.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== docs/manual/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Model-View-ControllerandObserverpatternsforPyGTK.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Model-View-ControllerandObserverpatternsforPyGTK.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== docs/quickstart/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/gtkmvcAQuickstartGuide.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/gtkmvcAQuickstartGuide.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== docs/tutorial/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Tutorial.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Tutorial.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pygtkmvc (1.99.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using dh-python instead of python-support.  Closes: #786221

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 14 Dec 2015 02:53:53 +0000

pygtkmvc (1.99.1-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Updated to Standards-Version 3.9.1 (no changes needed)
    + Conflicts: python-gtkmvc (<< 1.0.1-4) not needed anymore
    + Added new build-depends on libjs-jquery, python-sphinx, python-gtk2 and
      texlive-latex-extra
  * debian/python-gtkmvc-doc.links:
    + Link to jquery.js from libjs-jquery

 -- Kartik Mistry <kartik@debian.org>  Sun, 27 Mar 2011 11:48:20 +0530

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,15 @@
 Priority: extra
 Maintainer: Kartik Mistry <kartik@debian.org>
 Build-Depends: debhelper (>= 7.2.3)
-Build-Depends-Indep: python-all (>= 2.4),
-                     python-support (>= 0.5.3),
+Build-Depends-Indep: libjs-jquery,
+                     python-all (>= 2.4),
+                     python-gtk2,
+                     dh-python,
+                     python-sphinx,
                      texlive,
+                     texlive-latex-extra,
                      texinfo
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 XS-Python-Version: >= 2.5
 Homepage: http://sourceforge.net/projects/pygtkmvc/
 Vcs-Git: git://git.debian.org/git/collab-maint/pygtkmvc.git
@@ -20,7 +24,6 @@
          python-gtk2 (>= 2.4.0-1),
          python-glade2 (>= 2.4.0-1)
 Provides: ${python:Provides}
-Conflicts: python-gtkmvc (<< 1.0.1-4)
 Description: model-view-controller (MVC) implementation for pygtk
  This MVC for pygtk2 helps with writing well structured code by splitting the
  program's code into three distinctive sections. A program written using this

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,7 @@
 build-stamp:
 	dh_testdir
 	python setup.py build
-	cd docs/user-man; make
-	cd docs/tutorial/tex; make
+	cd docs; make all
 	touch $@
 
 clean:
@@ -18,8 +17,7 @@
 	dh_clean examples/mini-yoman/LICENSE \
 		 *.log *.aux *.pyc gtkmvc/*.pyc \
 		 gtkmvc/adapters/*.pyc gtkmvc/support/*.pyc
-	cd docs/user-man; make distclean
-	cd docs/tutorial/tex; make distclean
+	cd docs; make distclean
 
 install: build
 	dh_testdir
@@ -38,9 +36,9 @@
 	dh_installchangelogs -k NEWS
 	dh_install --sourcedir=debian/tmp
 	dh_installexamples -p python-gtkmvc-doc examples/*
-	dh_pysupport
+	dh_python2
 	dh_link
-	dh_compress --exclude=examples
+	dh_compress --exclude=examples --exclude=*.pdf
 	dh_fixperms
 	dh_installdeb
 	dh_gencontrol

=== debian/watch ===
version=3
http://sf.net/pygtkmvc/python-gtkmvc-([\d\.]+)\.tar\.gz
